Bug 136570 - epiphany crashes on x86_64 after updating mozilla in rawhide
epiphany crashes on x86_64 after updating mozilla in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Marco Pesenti Gritti
http://www.nytimes.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-20 18:33 EDT by Tom Duffy
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-04 18:17:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Duffy 2004-10-20 18:33:14 EDT
Description of problem:

Epiphany now crashes when visiting sites like www.nytimes.com, but not
www.slashdot.org


Version-Release number of selected component (if applicable):

[tduffy@duffman ~]$ rpm -qi epiphany
Name        : epiphany                     Relocations: (not relocatable)
Version     : 1.4.4                             Vendor: Red Hat, Inc.
Release     : 4                             Build Date: Mon 18 Oct
2004 01:14:57 PM PDT
Install Date: Tue 19 Oct 2004 11:48:12 AM PDT      Build Host:
dolly.build.redhat.com
Group       : Applications/Internet         Source RPM:
epiphany-1.4.4-4.src.rpmSize        : 6856624                        
 License: GPL
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.gnome.org/projects/epiphany/
Summary     : GNOME web browser based on the Mozilla rendering engine
Description :
epiphany is a simple GNOME web browser based on the Mozilla rendering
engine
[tduffy@duffman ~]$ rpm -qi mozilla
Name        : mozilla                      Relocations: /usr
Version     : 1.7.3                             Vendor: Red Hat, Inc.
Release     : 17                            Build Date: Wed 20 Oct
2004 01:06:43 AM PDT
Install Date: Wed 20 Oct 2004 02:13:07 PM PDT      Build Host:
thor.perf.redhat.com
Group       : Applications/Internet         Source RPM:
mozilla-1.7.3-17.src.rpmSize        : 31341743                       
 License: MPL/NPL/GPL/LGPL
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : A Web browser.
Description :
Mozilla is an open-source Web browser, designed for standards
compliance, performance, and portability.



How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

Backtrace was generated from '/usr/bin/epiphany'

(no debugging symbols found)...Using host libthread_db library
"/lib64/tls/libthread_db.so.1".
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...[Thread debugging using libthread_db enabled]
[New Thread 182921306816 (LWP 346)]
[New Thread 1136654688 (LWP 428)]
[Thread debugging using libthread_db enabled]
[New Thread 182921306816 (LWP 346)]
[New Thread 1136654688 (LWP 428)]
[Thread debugging using libthread_db enabled]
[New Thread 182921306816 (LWP 346)]
[New Thread 1136654688 (LWP 428)]
[New Thread 1094711648 (LWP 349)]
[New Thread 1084225888 (LWP 348)]
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...0x000000312c40bf7a in waitpid ()
from /lib64/tls/libpthread.so.0
#0  0x000000312c40bf7a in waitpid () from /lib64/tls/libpthread.so.0
#1  0x0000003133358c14 in libgnomeui_module_info_get ()
   from /usr/lib64/libgnomeui-2.so.0
#2  0x0000002a95570eb8 in nsProfileLock::FatalSignalHandler ()
   from /usr/lib64/mozilla-1.7.3/libgtkembedmoz.so
#3  <signal handler called>
#4  0x0000002a9d25db0c in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libgkplugin.so
#5  0x0000002a9d25481a in ?? ()
   from /usr/lib64/mozilla-1.7.3/components/libgkplugin.so
#6  0x0000002a9d254a7a in ?? ()
   from /usr/lib64/mozilla-1.7.3/components/libgkplugin.so
#7  0x0000002a9d259983 in ?? ()
   from /usr/lib64/mozilla-1.7.3/components/libgkplugin.so
#8  0x0000002a9d259ac5 in ?? ()
   from /usr/lib64/mozilla-1.7.3/components/libgkplugin.so
#9  0x0000002a9d24b185 in ?? ()
   from /usr/lib64/mozilla-1.7.3/components/libgkplugin.so
#10 0x0000002a9a960353 in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libgklayout.so
#11 0x0000002a9571fab0 in XPTC_InvokeByIndex ()
   from /usr/lib64/mozilla-1.7.3/libxpcom.so
#12 0x0000002a9ad8e86d in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libxpconnect.so
#13 0x0000002a9ad94604 in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libxpconnect.so
#14 0x0000002a99e6f42d in js_Invoke ()
   from /usr/lib64/mozilla-1.7.3/libmozjs.so
#15 0x0000002a99e6f88d in js_InternalInvoke ()
   from /usr/lib64/mozilla-1.7.3/libmozjs.so
#16 0x0000002a99e6f998 in js_InternalGetOrSet ()
   from /usr/lib64/mozilla-1.7.3/libmozjs.so
#17 0x0000002a99e7a535 in js_GetProperty ()
   from /usr/lib64/mozilla-1.7.3/libmozjs.so
#18 0x0000002a99e6b8f9 in js_Interpret ()
   from /usr/lib64/mozilla-1.7.3/libmozjs.so
#19 0x0000002a99e6ecd4 in js_Execute ()
   from /usr/lib64/mozilla-1.7.3/libmozjs.so
#20 0x0000002a99e3f146 in JS_EvaluateUCScriptForPrincipals ()
   from /usr/lib64/mozilla-1.7.3/libmozjs.so
#21 0x0000002a9a942cfe in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libgklayout.so
#22 0x0000002a9a809f1b in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libgklayout.so
#23 0x0000002a9a80aa26 in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libgklayout.so
#24 0x0000002a9a80c3c4 in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libgklayout.so
#25 0x0000002a9a3565ef in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libnecko.so
#26 0x0000002a9a3c0153 in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libnecko.so
#27 0x0000002a9a33fd4a in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libnecko.so
#28 0x0000002a9a3400de in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libnecko.so
#29 0x0000002a956f23e5 in nsInputStreamReadyEvent::EventHandler ()
   from /usr/lib64/mozilla-1.7.3/libxpcom.so
#30 0x0000002a95707079 in PL_HandleEvent ()
   from /usr/lib64/mozilla-1.7.3/libxpcom.so
#31 0x0000002a957077c5 in PL_ProcessPendingEvents ()
   from /usr/lib64/mozilla-1.7.3/libxpcom.so
#32 0x0000002a95708b73 in nsEventQueueImpl::NotifyObservers ()
   from /usr/lib64/mozilla-1.7.3/libxpcom.so
#33 0x0000002a9b70e5a2 in ?? ()
   from /usr/lib64/mozilla-1.7.3/components/libwidget_gtk2.so
#34 0x000000312e0266bd in g_main_context_dispatch ()
   from /usr/lib64/libglib-2.0.so.0
#35 0x000000312e028397 in g_main_context_acquire ()
   from /usr/lib64/libglib-2.0.so.0
#36 0x000000312e028735 in g_main_loop_run () from
/usr/lib64/libglib-2.0.so.0
#37 0x000000312fb18531 in gtk_main () from
/usr/lib64/libgtk-x11-2.0.so.0
#38 0x000000000042d571 in main ()

Thread 4 (Thread 1084225888 (LWP 348)):
#0  0x000000312b7bae12 in poll () from /lib64/tls/libc.so.6
No symbol table info available.
#1  0x0000002a95abd3af in PR_Poll () from /usr/lib64/libnspr4.so
No symbol table info available.
#2  0x0000002a9a354ef2 in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libnecko.so
No symbol table info available.
#3  0x0000002a9570ab4c in nsThread::Main ()
   from /usr/lib64/mozilla-1.7.3/libxpcom.so
No symbol table info available.
#4  0x0000002a95abe725 in PR_Select () from /usr/lib64/libnspr4.so
No symbol table info available.
#5  0x000000312c405f81 in start_thread () from
/lib64/tls/libpthread.so.0
No symbol table info available.
#6  0x000000312b7c3aa3 in thread_start () from /lib64/tls/libc.so.6
No symbol table info available.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 3 (Thread 1094711648 (LWP 349)):
#0  0x000000312c408acf in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib64/tls/libpthread.so.0
No symbol table info available.
#1  0x0000002a95ab945b in PR_Lock () from /usr/lib64/libnspr4.so
No symbol table info available.
#2  0x0000002a95ab981d in PR_WaitCondVar () from /usr/lib64/libnspr4.so
No symbol table info available.
#3  0x0000002a9570c61b in TimerThread::TimerDelayChanged ()
   from /usr/lib64/mozilla-1.7.3/libxpcom.so
No symbol table info available.
#4  0x0000002a9570ab4c in nsThread::Main ()
   from /usr/lib64/mozilla-1.7.3/libxpcom.so
No symbol table info available.
#5  0x0000002a95abe725 in PR_Select () from /usr/lib64/libnspr4.so
No symbol table info available.
#6  0x000000312c405f81 in start_thread () from
/lib64/tls/libpthread.so.0
No symbol table info available.
#7  0x000000312b7c3aa3 in thread_start () from /lib64/tls/libc.so.6
No symbol table info available.
#8  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 2 (Thread 1136654688 (LWP 428)):
#0  0x000000312c408acf in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib64/tls/libpthread.so.0
No symbol table info available.
#1  0x0000002a95ab945b in PR_Lock () from /usr/lib64/libnspr4.so
No symbol table info available.
#2  0x0000002a95ab981d in PR_WaitCondVar () from /usr/lib64/libnspr4.so
No symbol table info available.
#3  0x0000002a9a36027c in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libnecko.so
No symbol table info available.
#4  0x0000002a9a360362 in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libnecko.so
No symbol table info available.
#5  0x0000002a95abe725 in PR_Select () from /usr/lib64/libnspr4.so
No symbol table info available.
#6  0x000000312c405f81 in start_thread () from
/lib64/tls/libpthread.so.0
No symbol table info available.
#7  0x000000312b7c3aa3 in thread_start () from /lib64/tls/libc.so.6
No symbol table info available.
#8  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 182921306816 (LWP 346)):
#0  0x000000312c40bf7a in waitpid () from /lib64/tls/libpthread.so.0
No symbol table info available.
#1  0x0000003133358c14 in libgnomeui_module_info_get ()
   from /usr/lib64/libgnomeui-2.so.0
No symbol table info available.
#2  0x0000002a95570eb8 in nsProfileLock::FatalSignalHandler ()
   from /usr/lib64/mozilla-1.7.3/libgtkembedmoz.so
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x0000002a9d25db0c in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libgkplugin.so
No symbol table info available.
#5  0x0000002a9d25481a in ?? ()
   from /usr/lib64/mozilla-1.7.3/components/libgkplugin.so
No symbol table info available.
#6  0x0000002a9d254a7a in ?? ()
   from /usr/lib64/mozilla-1.7.3/components/libgkplugin.so
No symbol table info available.
#7  0x0000002a9d259983 in ?? ()
   from /usr/lib64/mozilla-1.7.3/components/libgkplugin.so
No symbol table info available.
#8  0x0000002a9d259ac5 in ?? ()
   from /usr/lib64/mozilla-1.7.3/components/libgkplugin.so
No symbol table info available.
#9  0x0000002a9d24b185 in ?? ()
   from /usr/lib64/mozilla-1.7.3/components/libgkplugin.so
No symbol table info available.
#10 0x0000002a9a960353 in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libgklayout.so
No symbol table info available.
#11 0x0000002a9571fab0 in XPTC_InvokeByIndex ()
   from /usr/lib64/mozilla-1.7.3/libxpcom.so
No symbol table info available.
#12 0x0000002a9ad8e86d in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libxpconnect.so
No symbol table info available.
#13 0x0000002a9ad94604 in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libxpconnect.so
No symbol table info available.
#14 0x0000002a99e6f42d in js_Invoke ()
   from /usr/lib64/mozilla-1.7.3/libmozjs.so
No symbol table info available.
#15 0x0000002a99e6f88d in js_InternalInvoke ()
   from /usr/lib64/mozilla-1.7.3/libmozjs.so
No symbol table info available.
#16 0x0000002a99e6f998 in js_InternalGetOrSet ()
   from /usr/lib64/mozilla-1.7.3/libmozjs.so
No symbol table info available.
#17 0x0000002a99e7a535 in js_GetProperty ()
   from /usr/lib64/mozilla-1.7.3/libmozjs.so
No symbol table info available.
#18 0x0000002a99e6b8f9 in js_Interpret ()
   from /usr/lib64/mozilla-1.7.3/libmozjs.so
No symbol table info available.
#19 0x0000002a99e6ecd4 in js_Execute ()
   from /usr/lib64/mozilla-1.7.3/libmozjs.so
No symbol table info available.
#20 0x0000002a99e3f146 in JS_EvaluateUCScriptForPrincipals ()
   from /usr/lib64/mozilla-1.7.3/libmozjs.so
No symbol table info available.
#21 0x0000002a9a942cfe in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libgklayout.so
No symbol table info available.
#22 0x0000002a9a809f1b in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libgklayout.so
No symbol table info available.
#23 0x0000002a9a80aa26 in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libgklayout.so
No symbol table info available.
#24 0x0000002a9a80c3c4 in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libgklayout.so
No symbol table info available.
#25 0x0000002a9a3565ef in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libnecko.so
No symbol table info available.
#26 0x0000002a9a3c0153 in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libnecko.so
No symbol table info available.
#27 0x0000002a9a33fd4a in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libnecko.so
No symbol table info available.
#28 0x0000002a9a3400de in NSGetModule ()
   from /usr/lib64/mozilla-1.7.3/components/libnecko.so
No symbol table info available.
#29 0x0000002a956f23e5 in nsInputStreamReadyEvent::EventHandler ()
   from /usr/lib64/mozilla-1.7.3/libxpcom.so
No symbol table info available.
#30 0x0000002a95707079 in PL_HandleEvent ()
   from /usr/lib64/mozilla-1.7.3/libxpcom.so
No symbol table info available.
#31 0x0000002a957077c5 in PL_ProcessPendingEvents ()
   from /usr/lib64/mozilla-1.7.3/libxpcom.so
No symbol table info available.
#32 0x0000002a95708b73 in nsEventQueueImpl::NotifyObservers ()
   from /usr/lib64/mozilla-1.7.3/libxpcom.so
No symbol table info available.
#33 0x0000002a9b70e5a2 in ?? ()
   from /usr/lib64/mozilla-1.7.3/components/libwidget_gtk2.so
No symbol table info available.
#34 0x000000312e0266bd in g_main_context_dispatch ()
   from /usr/lib64/libglib-2.0.so.0
No symbol table info available.
#35 0x000000312e028397 in g_main_context_acquire ()
   from /usr/lib64/libglib-2.0.so.0
No symbol table info available.
#36 0x000000312e028735 in g_main_loop_run () from
/usr/lib64/libglib-2.0.so.0
No symbol table info available.
#37 0x000000312fb18531 in gtk_main () from
/usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#38 0x000000000042d571 in main ()
No symbol table info available.




Expected results:


Additional info:
Comment 1 Quereller 2005-01-07 19:20:40 EST
Could it be that the nphelix.so plugin is in the mozilla plugins 
directory? 
Comment 2 Marco Pesenti Gritti 2005-01-10 07:56:08 EST
Yeah this looks like a plugin crash. Could you try to temporarily
remove your plugins and test if it solves the problem?
Comment 3 Tom Duffy 2005-08-04 18:17:18 EDT
I haven't had problems with rawhide packages.

Note You need to log in before you can comment on or make changes to this bug.